<?php

//Admin notices
add_action('admin_notices', 'fasterimage_admin_notices');
function fasterimage_admin_notices() {
    if ($aNotices = get_option('fasterimage_admin_notices')) {
        foreach ($aNotices as $sNotice) {
            switch($sNotice) {
                case 'install':
                    ?>
                    <div class='updated'>
                        <p>
                            <strong>Merci d'avoir installé fasterImage!</strong>
                            <br/>
                            Pour activer les optimisations, veuillez configurer les options dans la page <a href="<?php echo admin_url( 'options-general.php?page=fasterimage_settings'); ?>">Réglages > fasterImage</a>.</p>
                    </div>
                    <?php
                    break;
            }
        }
    }

    $sEnabled = get_option('fasterimage_enabled');
    $sValid = get_option('fasterimage_account_valid');
    if($sEnabled == '1' && $sValid == '0') {
        ?>
        <div class='error'>
            <p>
                <strong>fasterImage : Erreur de clé API </strong>
                <br/>
                La clé API que vous avez renseigné n'est plus valide, les images ne seront donc pas optimisées!
                <br/>
                Veuillez corriger le problème dans la page <a href="<?php echo admin_url( 'options-general.php?page=fasterimage_settings&tab=fi_tab_settings'); ?>">Réglages > fasterImage</a>.</p>
        </div>
        <?php
    }

}

add_action('admin_init', 'fasterimage_admin_notice_install_remove');
function fasterimage_admin_notice_install_remove() {
    global $current_user;
    $user_id = $current_user->ID;
    /* If user clicks to ignore the notice, add that to their user meta */
    if ( isset($_GET['page']) && $_GET['page'] == 'fasterimage-settings' ) {
        $aNotices =  get_option('fasterimage_admin_notices', array());
        $aNewNotices = array();
        foreach($aNotices as $sNotice) {
            if($sNotice != 'install') {
                $aNewNotices[] = $sNotice;
            }
        }
        update_option('fasterimage_admin_notices', $aNewNotices);
    }
}